List custom IOC files request

Prev Next

Lists custom IOC files on the Central Management System for Network Security appliances only.

GET https://<address>/wsapis/[v1.2.0|v2.0.0]/customioc/feed

Availability

This command is available on the following appliances:

  • Central Management System

Required headers:

X-FeApi-Token: [API-Token]
X-FeClient-Token: [Client-Token]

Parameters

  • address—The IP address of the appliance running the Web Services API.

  • API-Token—This token authenticates the session. By default, the session times out after 15 minutes of inactivity.

  • Client-Token—(Optional) This client token is provided by Trellix. For more information about the client token, contact your sales representative.

Example request

GET https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/feed

Request headers:

X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
X-FeClient-Token: BigDataInc

List custom IOC files response

After the request is received, the Central Management System appliance validates the API token and returns a JSON object containing metadata for all feeds.

HTTP/1.1 [Response Code] [Response Message]
Date: [Date]

Body:

feedName: [Feed-Name]
status: [Status]
feedType: [Feed-Type]
uploadDate: [Upload-Date]
feedAction: [Feed-Action]
feedSource: [Feed-Source]
contentType: [Content-Type]
feedCount: [Feed-Count]
Response fields
  • Response Code—A standard HTML response code.

    • 200—Request successful.

    • 500—Request unsuccessful because the server has encountered a problem; retry later.

  • Response Message—A standard HTML response message.

    • OK—Request successful.

    • Error trying to process submission—Request unsuccessful because the server has encountered a problem; retry later.

  • Date—Standard HTML date format.

  • Feed-Name—Name of the feed.

  • Status—Status of feed.

  • Feed-Type—File type.

  • Upload-Date—Date when the IOC file was uploaded.

  • Feed-Action—Type of notification to send if a match is found.

  • Feed-Source—Source of feed.

  • Content-Type—Type of feed. Valid values are ip, url, domain, and hash.

  • Feed-Count—Number of feeds.

Example
HTTP/1.1 200 OK
Date: Fri, 17 Nov 2017 08:00:00 GMT

Body:

{"customFeedInfo":[{"feedName":"stix_url","status":"Feed processed","feedType":"stix","uploadDate":"2016/11/22 19:53:13","feedAction":"abc","feedSource":"url stix","contentMeta":[{"contentType":"ip","feedCount":0},{"contentType":"domain","feedCount":0},{"contentType":"url","feedCount":3},{"contentType":"hash","feedCount":0}]}]}

cURL code sample: list custom IOC files

The following code sample can be copied and executed from any command-line interface that includes the cURL library. This sample builds on the authentication cURL code sample.

Note

In this sample, line breaks are added for readability. Remove these line breaks before you paste the code sample into your command-line tool.

curl -qgsSk --no-progress-bar --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx" --header "Accept: application/json" "https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/feed"

This cURL sample includes the following options:

  • -q—This option specifies that the curlrc config file is not read or used. Although this is an optional setting, Trellix recommends that you include this option.

  • -g—This option turns off the URL globbing parser. Although this is an optional setting, Trellix recommends that you include this option.

  • -s—This option turns off the progress meter and error message. Although this is an optional setting, Trellix recommends that you include this option.

  • -S—When used with the -s option, this option shows error messages if your cURL switch fails. Although this is an optional setting, Trellix recommends that you include this option.

  • -k—This option explicitly allows cURL to perform insecure SSL connections and transfers. This allows you to test your SSL connection without installing a CA certificate.

  • --no-progress-bar—This option suppresses the cURL download progress bar, which can interfere with the request.

  • --header "X-FeApi-Token: xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"—This custom header includes the API-Token that was returned by your appliance during the authentication request. In the authentication cURL code sample, this token was included in the auth.txt file. Replace the token in the sample with the token received in the response to your authentication request.

  • -H 'Accept: application/json'—This header specifies that the serverʼs response body is expected to be in JSON format.

  • "https://xxx.xxx.xxx.xxx:443/wsapis/v2.0.0/customioc/feed"—The custom IOCs request URL. Replace the IP address xxx.xxx.xxx.xxx with the IP address of your appliance.

Results

This example returns the number of each type of feed (IP addresses, URLs, domain names, and hash values) uploaded by the user.